<%
   prefix = (defined?(componentIndex)) ? "component_#{componentIndex}_" : ''
   objid = @document['id']
   cmpid = (defined?(componentIndex)) ? "#{componentIndex}" : '0'
   fieldData = @document["#{prefix}files_tesim"]
   wowzaURL = grabWowzaURL(fieldData,objid,cmpid)
   dataForDynamicLoad = "{\"file_type\":\"audio\",\"display_file_path\":\"\",\"service_file_path\":\"#{wowzaURL}\"}"
   embed_url = "#{root_url}embed/#{objid}/#{cmpid}"
   file_type = grabFileType(grabFileUse(:componentIndex=>cmpid))
%>

<% if access_notice.nil? && wowzaURL != nil %>

  <div id="dams-audio-<%=componentIndex%>" data='<%=dataForDynamicLoad%>'>Loading the player...</div>

<% end %>

<%= render :partial => 'admin_download', :locals => {:downloadFilePath => downloadFilePath, :cmpID => cmpid, :embedURL => embed_url, :downloadDerivativePath => downloadDerivativePath, :format => file_type, :publicSourceDownload => publicSourceDownload  } if access_notice.nil?%>
